/Users/bernard/b20/bsoft/radon/sin_gal.cpp(3)

NAME
/Users/bernard/b20/bsoft/radon/sin_gal.cpp

SYNOPSIS

#include 'sin_gal.h'
#include 'fft_tool.h'
#include 'Bimage.h'
#include 'utilities.h'

  Functions
int copy_sin (Bimage *p)
Copy the second half of a sinogram from the first one.
int expand (Bimage *p)
int merge (Bimage *p, int padd)
Pads an image and shifts it to the middle.
int cart_pol_Fourier_rad (Bimage *p, int n_theta, int padd, int range, int pf_x, int pf_y, float *pfr, float *pfi, kernel *ker)
int separate_ri (Bimage *p, float *pfr, float *pfi, int bordo)
int rephase_1D (Bimage *p)
int map_shift (Bimage *p, float dx, float dy)
Bimage * sin_gal (Bimage *p, int tipo, Vector3< float > shift, kernel *ker, int padd, int n_theta)
Bimage * copy_I_part_rad (Bimage *p)
int copy_II_part_rad (Bimage *p)

Detailed Description

Author:
    P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date:
    Created: 7 04 2003

    Modified: 23 01 2006 (BH)

Definition in file sin_gal.cpp.

Function Documentation

  int cart_pol_Fourier_rad (Bimage * p, int n_theta, int padd, int range, int pf_x, int pf_y, float * pfr, float * pfi, kernel * ker)

Parameters:
    *p
    n_theta
    padd
    range
    pf_x
    pf_y
    *pfr
    *pfi
    *ker

Returns:
    int 0

Definition at line 314 of file sin_gal.cpp.

  Bimage* copy_I_part_rad (Bimage * p)

Parameters:
    *p

Returns:
    Bimage *

Definition at line 163 of file sin_gal.cpp.

  int copy_II_part_rad (Bimage * p)

Parameters:
    *p

Returns:
    int 0

Definition at line 195 of file sin_gal.cpp.

  int copy_sin (Bimage * p)

Copy the second half of a sinogram from the first one.

Parameters:
    *p sinogram

Returns:
    int 0

Definition at line 179 of file pocs_tool.cpp.

  int expand (Bimage * p)

Parameters:
    *p

Returns:
    int 0

Definition at line 235 of file sin_gal.cpp.

  int map_shift (Bimage * p, float dx, float dy)

Parameters:
    *p
    dx
    dy

Returns:
    int 0

Definition at line 564 of file sin_gal.cpp.

  int merge (Bimage * p, int padd)

Pads an image and shifts it to the middle.

Parameters:
    *p
    padd 0=no padding, 1=padding

Returns:
    int 0

Definition at line 270 of file sin_gal.cpp.

  int rephase_1D (Bimage * p)

Parameters:
    *p

Returns:
    int 0

Definition at line 534 of file sin_gal.cpp.

  int separate_ri (Bimage * p, float * pfr, float * pfi, int bordo)

Parameters:
    *p
    *pfr
    *pfi
    bordo

Returns:
    int 0

Definition at line 471 of file sin_gal.cpp.

  Bimage* sin_gal (Bimage * p, int tipo, Vector3< float > shift, kernel * ker, int padd, int n_theta)

Parameters:
    *p
    tipo
    shift
    *ker
    padd
    n_theta

Returns:
    Bimage*

Definition at line 35 of file sin_gal.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.